Package com.independentsoft.office.vml

# Enum Class StrokeArrowWidth

java.lang.Object
java.lang.Enum<StrokeArrowWidth>
com.independentsoft.office.vml.StrokeArrowWidth

All Implemented Interfaces:
  `Serializable`, `Comparable<StrokeArrowWidth>`, `Constable`

public enum StrokeArrowWidth extends Enum<StrokeArrowWidth>
The Enum StrokeArrowWidth.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MEDIUM`
  `NARROW`
  `NONE`
  `WIDE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StrokeArrowWidth`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static StrokeArrowWidth[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MEDIUM

    public static final StrokeArrowWidth MEDIUM

  - ### NARROW

    public static final StrokeArrowWidth NARROW

  - ### WIDE

    public static final StrokeArrowWidth WIDE

  - ### NONE

    public static final StrokeArrowWidth NONE

- ## Method Details

  - ### values

    public static StrokeArrowWidth[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StrokeArrowWidth valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null